Index: doc/graph_io.dox
===================================================================
--- doc/graph_io.dox	(revision 1901)
+++ doc/graph_io.dox	(revision 1909)
@@ -318,8 +318,8 @@
 The specialization of writing is very similar to that of reading.
 
-\section undir Undirected graphs
-
-In a file describing an undirected graph (undir graph, for short) you find an
-\c undiredgeset section instead of the \c edgeset section. The first line of
+\section u Undirected graphs
+
+In a file describing an undirected graph (ugraph, for short) you find an
+\c uedgeset section instead of the \c edgeset section. The first line of
 the section describes the names of the maps on the undirected egdes and all
 next lines describe one undirected edge with the the incident nodes and the
@@ -331,5 +331,5 @@
 
 \code
-@undiredgeset
+@uedgeset
              label      capacity        +flow   -flow
 32   2       1          4.3             2.0     0.0
@@ -338,5 +338,5 @@
 \endcode
 
-The \c edges section is changed to \c undiredges section. This section
+The \c edges section is changed to \c uedges section. This section
 describes labeled edges and undirected edges. The directed edge label
 should start with a \c '+' or a \c '-' prefix to decide the direction
@@ -344,6 +344,6 @@
 
 \code
-@undiredges
-undiredge 1
+@uedges
+uedge 1
 +edge 5
 -back 5
@@ -353,17 +353,17 @@
 \ref lemon::GraphWriter "GraphWriter" which
 handle the undirected graphs. These classes are
-the \ref lemon::UndirGraphReader "UndirGraphReader"
-and \ref lemon::UndirGraphWriter "UndirGraphWriter".
-
-The \ref lemon::UndirGraphReader::readUndirEdgeMap() "readUndirEdgeMap()"
+the \ref lemon::UGraphReader "UGraphReader"
+and \ref lemon::UGraphWriter "UGraphWriter".
+
+The \ref lemon::UGraphReader::readUEdgeMap() "readUEdgeMap()"
 function reads an undirected map and the
-\ref lemon::UndirGraphReader::readUndirEdge() "readUndirEdge()"
+\ref lemon::UGraphReader::readUEdge() "readUEdge()"
 reads an undirected edge from the file, 
 
 \code
-reader.readUndirEdgeMap("capacity", capacityMap);
+reader.readUEdgeMap("capacity", capacityMap);
 reader.readEdgeMap("flow", flowMap);
 ...
-reader.readUndirEdge("undir_edge", undir_edge);
+reader.readUEdge("u_edge", u_edge);
 reader.readEdge("edge", edge);
 \endcode
@@ -440,15 +440,15 @@
 
 \code
-UndirListGraph network;
-UndirListGraph::UndirEdgeMap<double> capacity;
-ListEdgeSet<UndirListGraph> traffic(network);
-ListEdgeSet<UndirListGraph>::EdgeMap<double> request(network);
+ListUGraph network;
+ListUGraph::UEdgeMap<double> capacity;
+ListEdgeSet<ListUGraph> traffic(network);
+ListEdgeSet<ListUGraph>::EdgeMap<double> request(network);
 
 LemonReader reader(std::cin);
-NodeSetReader<UndirListGraph> nodesetReader(reader, network);
-UndirEdgeSetReader<UndirListGraph> 
-  undirEdgesetReader(reader, network, nodesetReader);
-undirEdgesetReader.readEdgeMap("capacity", capacity);
-EdgeSetReader<ListEdgeSet<UndirListGraph> > 
+NodeSetReader<ListUGraph> nodesetReader(reader, network);
+UEdgeSetReader<ListUGraph> 
+  uEdgesetReader(reader, network, nodesetReader);
+uEdgesetReader.readEdgeMap("capacity", capacity);
+EdgeSetReader<ListEdgeSet<ListUGraph> > 
   edgesetReader(reader, traffic, nodesetReader, "traffic");
 edgesetReader.readEdgeMap("request", request);
@@ -458,20 +458,20 @@
 
 Because both the \ref lemon::GraphReader "GraphReader"
-and the \ref lemon::UndirGraphReader "UndirGraphReader" can be converted
+and the \ref lemon::UGraphReader "UGraphReader" can be converted
 to \ref lemon::LemonReader "LemonReader"
 and it can resolve the label's of the items, the previous
-result can be achived with the \ref lemon::UndirGraphReader "UndirGraphReader"
+result can be achived with the \ref lemon::UGraphReader "UGraphReader"
 class, too.
 
 
 \code
-UndirListGraph network;
-UndirListGraph::UndirEdgeSet<double> capacity;
-ListEdgeSet<UndirListGraph> traffic(network);
-ListEdgeSet<UndirListGraph>::EdgeMap<double> request(network);
-
-UndirGraphReader<UndirListGraph> reader(std::cin, network);
+ListUGraph network;
+ListUGraph::UEdgeSet<double> capacity;
+ListEdgeSet<ListUGraph> traffic(network);
+ListEdgeSet<ListUGraph>::EdgeMap<double> request(network);
+
+UGraphReader<ListUGraph> reader(std::cin, network);
 reader.readEdgeMap("capacity", capacity);
-EdgeSetReader<ListEdgeSet<UndirListGraph> > 
+EdgeSetReader<ListEdgeSet<ListUGraph> > 
   edgesetReader(reader, traffic, reader, "traffic");
 edgesetReader.readEdgeMap("request", request);
